Bug 263237 - CUE: player forget - what it must to play?
Summary: CUE: player forget - what it must to play?
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playback/CUE sheet support (show other bugs)
Version: 2.4-GIT
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-15 16:25 UTC by Lisp2D
Modified: 2011-01-26 00:24 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lisp2D 2011-01-15 16:25:43 UTC
Version:           2.4-GIT (using KDE 4.4.4) 
OS:                Linux

 Song list collection have many songs and many CUE-collections.
 When usual song playing finished and must to play 5th song from CUE-collection player forget, what it must to play, and play all FLAC (1 hour).
 Individual starting to play 5th song is still working.

Reproducible: Always
Comment 1 Lisp2D 2011-01-15 18:23:52 UTC
 Right song played when manually execute song from song-list OR by manually pressing button NEXT.
 Full playing of FLAC file will be only from player's passage to next song.
Comment 2 Sergey Ivanov 2011-01-25 22:51:12 UTC
Git commit 24b7175803efbbe54b10b7cc5cecd3f13f14ac94 by Sergey Ivanov.
Pushed by ivanov into branch 'master'.

Fixed CUE tracks playback order.
BUG: 263237

M  +1    -0    ChangeLog     
M  +0    -1    src/EngineController.cpp     

http://commits.kde.org/amarok/24b7175803efbbe54b10b7cc5cecd3f13f14ac94